Name:          shapelib
Version:       1.6.1
Release:       1mamba
Summary:       C Library providing the ability to write simple C programs for reading, writing and updating ESRI Shapefiles
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://shapelib.maptools.org/
Source:        https://github.com/OSGeo/shapelib.git/v%{version}/shapelib-%{version}.tar.bz2
License:       MIT, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
C Library providing the ability to write simple C programs for reading, writing and updating ESRI Shapefiles.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake \
   -DCMAKE_INSTALL_LIBDIR=%{_libdir}

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/Shape_PointInPoly
%{_bindir}/csv2shp
%{_bindir}/dbfadd
%{_bindir}/dbfcat
%{_bindir}/dbfcreate
%{_bindir}/dbfdump
%{_bindir}/dbfinfo
%{_bindir}/shpadd
%{_bindir}/shpcat
%{_bindir}/shpcentrd
%{_bindir}/shpcreate
%{_bindir}/shpdata
%{_bindir}/shpdump
%{_bindir}/shpdxf
%{_bindir}/shpfix
%{_bindir}/shpinfo
%{_bindir}/shprewind
%{_bindir}/shpsort
%{_bindir}/shptreedump
%{_bindir}/shpwkb

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libshp.so.*
%doc AUTHORS LICENSE-LGPL LICENSE-MIT

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/shapefil.h
%{_libdir}/libshp.so
%{_libdir}/pkgconfig/shapelib.pc
%dir %{_datadir}/shapelib
%{_datadir}/shapelib/shapelib-*.cmake
%doc ChangeLog NEWS README README.CMake README.tree


%changelog
* Sun Sep 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- package created using the webbuild interface
